/**
 * variables
 */
:root {
  --background: #f4f7fa;
}

// @import './_style_';
// @import './_custom_';

$info: #57bfd5;
$theme-colors: (
  "fleet": #4e74e9,
  "white": white,
  "purple": #924ac7,
  "light_info": transparentize(#d0ddf4, 0.5),
  "light_gray": darken(#ffffff, 10%),
  "light_blue": #f0f7fc
);

@import "~bootstrap/scss/bootstrap";

@import "./slick_override";

body {
  // overflow-x: hidden;
  font-size: 13px;
}

/**
 * overlay
 */
.main-overlay {
  position: fixed;
  left: 0;
  top: 0;
  bottom: 0;
  right: 0;
  z-index: 100;
  background: transparentize(#000000, 0.6);
  display: none;
  &.show {
    display: block !important;
  }
}

/**
 * header
 */
.site-nav {
  width: 100%;
  display: flex;
  .responsive-left-header {
    display: flex;
    align-items: center;
    .platform-name {
      margin-left: 1rem;
    }
    .toggle-menu {
      button {
        border: none;
        background: none;
      }
    }
  }
}

.content-area {
  display: flex;
}

/**
 * main content area
 */
.main-content-container {
  background: var(--background);
  padding: 1rem;
  flex: 1 0 auto;
  max-width: calc(100vw - 5.5rem);
  overflow: hidden;
  min-height: calc(100vh - 5rem);
}

/**
 * breadcrumbs
 */
.breadcrumb-bar {
  margin-bottom: 1rem;
  .breadcrumb-item {
    color: var(--gray);
    &.active {
      color: var(--dark) !important;
    }
  }
}

/**
 * button
 */
.btn-transparent {
}

/**
 * table
 */
.table-expand {
  font-size: 0.5rem !important;
  transition: all 0.2s linear;
  display: inline-block;
  transform-origin: center center;
  &.icon-detail-hidden {
    transform: rotate(-90deg);
  }
}
table {
  thead {
    tr {
      th {
        font-size: 0.9rem;
        color: var(--dark);
        font-weight: 600;
      }
    }
  }
  tbody {
    tr {
      th,
      td {
        vertical-align: middle !important;
      }
    }
  }
}
.table-loader {
  height: 1.5rem;
  width: 100%;
  display: flex;
  justify-content: center;
  svg {
    transform: rotate(2deg);
  }
}
.table-striped tbody tr:nth-of-type(odd) {
  background-color: #ffffff;
}
.inner-content-table {
  border: 1px solid var(--light_gray);
  thead {
    tr {
      td,
      th {
        background: var(--light);
        border: none;
        font-weight: 500;
      }
    }
  }
  tbody {
    tr {
      td,
      th {
        border: none;
        border-top: 1px solid var(--light_gray);
        background: var(--white);
      }
    }
  }
}

// .innov-icon {
//   &::before {
//     color: inherit;
//   }
// }

/**
 * percentage color code
 */
@for $i from 0 through 100 {
  .text-percent-#{100-$i} {
    color: lighten(mix(red, green, $i), 10%);
  }
}

.clear-btn {
  border: 0 !important;
  background: none !important;
  outline: none !important;
  padding: 0 !important;
}

.dropdown-item {
  .innov-icon {
    font-size: 1rem !important;
    width: 2rem;
    display: inline-flex;
    justify-content: center;
    align-items: center;
  }
}
.dropdown-toggle.btn-link {
  text-decoration: none !important;
}

.input-group-text {
  font-size: 0.9rem !important;
}

.form-control {
  border-color: #d0ddf4 !important;
  box-shadow: 0 2px 3px transparentize(#000000, 0.95);
  text-align: inherit !important;
}
.input-group {
  .input-group-prepend,
  .input-group-append {
    border-color: #d0ddf4;
    box-shadow: 0 2px 3px transparentize(#000000, 0.95);
    .input-group-text {
      background: darken(#ffffff, 10%);
    }
  }
}

.custom-control-input:checked ~ .custom-control-label::before {
  border-color: $info;
  background-color: $info;
}

// strong {
//   font-weight: 500;
// }

/**
 * card
 */
.bg-main-card {
  .card-header {
    background-color: #f0f7fc;
    border: none;
  }
}
.bg-supress-header-card {
  .card-header {
    background: none;
    border: none;
  }
}
.shadow-sm-up {
  box-shadow: 0px -2px 6px #0000000a;
}
.inner-card {
  border-color: #d0ddf4;
  .card-header {
    background-color: #f6f3fc;
    border-bottom: 1px solid #d0ddf4;
    text-transform: uppercase;
  }
  .card-body {
    border-color: #d0ddf4;
  }
}

/**
 * badge
 */
.fleet-badge {
  font-size: 0.7rem;
  font-weight: normal;
}

/**
 * typo
 */
.text-muted {
  color: darken(#ffffff, 30%) !important;
}

/**
 * modal
 */
.modal-content[class*="action-modal-content-"] {
  padding: 1rem;
  .header-main-icon {
    position: absolute;
    top: 0;
    right: 50%;
    transform: translate(50%, -50%);
    background: #ffffff;
    height: 4.5rem;
    width: 4.5rem;
    display: flex;
    justify-content: center;
    align-items: center;
    border-radius: 50%;
    color: var(--white);
    border: 4px solid var(--white);
    &.delete {
      background: var(--danger);
    }
    i {
      &,
      &::before {
        color: var(--white);
      }
    }
  }
  .modal-header {
    border: none;
    padding: 0;
  }
  .modal-body {
    padding-top: 1.5rem;
  }
  .action-popup-confirm {
    > h2 {
      font-size: 1.5rem;
      text-align: center;
      padding-bottom: 1.5rem;
    }
  }
  .action-modal-footer {
    border: none;
    justify-content: center;
    .site-grey-btn {
      min-width: 8rem;
      margin: 0 1rem;
      min-height: 2.5rem;
      background: var(--light_gray);
      &.action-modal-btn-delete,
      &.site-primary-btn {
        background: var(--danger);
        color: var(--white);
      }
    }
  }
  .action-pin-confirmation,
  .master-confirmation {
    > h2 {
      font-size: 1.5rem;
      text-align: center;
      padding-bottom: 1.5rem;
    }
    > form {
      > div[class*="popup-input"] {
        display: flex;
        justify-content: space-between;
        margin-bottom: 2rem;
        input[type="text"] {
          border: 0;
          box-shadow: none;
          border-bottom: 1px solid var(--gray);
          max-width: 3rem;
          border-radius: 0;
          text-align: center;
        }
      }
    }
    .action-info {
      font-size: 0.8rem;
      margin: 1.5rem -1rem -1rem -1rem;
    }
  }
}

/**
 * tag adder
 */
.chip-selector {
  .multiselect__select {
    display: none;
  }
  .multiselect__tags {
    border: none;
    box-shadow: none;
    resize: both;
  }
  .multiselect__tag {
    background: var(--white);
    border: 1px solid var(--info);
    border-radius: 1rem;
    color: var(--dark);
    .multiselect__tag-icon {
      color: var(--info);
      &:hover {
        background: var(--info);
        color: var(--white);
        border-radius: 1rem;
      }
    }
  }
  // .multiselect__content-wrapper {
  //   display: none !important;
  // }
}

.c-pointer {
  cursor: pointer;
}
